package pkg;

import javax.persistence.*;

public class Main {
    @PersistenceUnit private static EntityManagerFactory emf;
    public static void main(String args[]) throws Exception {
        if(emf == null) { // Java SE
            emf = Persistence.createEntityManagerFactory("pu1", null);
        } 
        System.out.println("EMF = " + emf);
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        SenegalData sc = em.find(SenegalActivityCode.class, 0);
        if(sc == null) {
            em.persist(new SenegalActivityCode(0, "FOO"));
            System.out.println("Created new object with id " + 0);
        } else {
            em.remove(sc);
            System.out.println("Removed existing object with id " + 0);
        }
        em.getTransaction().commit();
        em.close();
    }
}
